%define name guarddog
%define version 2.0.0
%define release 4mdk

Summary: 	Firewall Utility
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Packager: 	Laurent Culioli <laurent@mandrakesoft.com>
Source: 	%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		System/Configuration/Networking
URL: 		http://www.simonzone.com/software/guarddog/
Requires: 	iptables
Buildroot: 	%_tmppath/%name-buildroot

%description
Guarddog is user friendly firewall generation and management utility for KDE
on Linux. It allows you to simply specify which protocols should be allowed
between which groups of computers and requires no knowledge of port numbers
or packets. Built on top of ipchains and/or iptables.

Development version.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

./configure --prefix=%_prefix --mandir=%_mandir --libdir=%_libdir \
	--disable-rpath --enable-final
# fix ifconfig parsing with LC_ALL instead LANG
perl -pi -e 's/LANG/LC_ALL/g' guarddog/guarddogdoc.cpp

%make

%install
%makeinstall 

install -D kde/lo16-app-guarddog.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -D kde/hi32-app-guarddog.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -D kde/hi48-app-guarddog.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

install -d %buildroot/%_menudir/
cat > $RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="Configuration/Networking"\
title="Guarddog"\
icon="%{name}.png"\
command="guarddog"\
longtitle="Firewall utility"
EOF

%find_lang %name

# kdedesktop2mdkmenu.pl Guarddog "Configuration/Networking"  %buildroot/%_datadir/applnk/System/guarddog.desktop %buildroot/%_menudir/guarddog

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO AUTHORS COPYING ChangeLog
%_bindir/*

%dir %_datadir/apps/guarddog/
%_datadir/apps/guarddog/*

%_datadir/applnk/System/*.desktop


%doc %_docdir/HTML/en/guarddog

%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/hicolor/48x48/apps/*
%_datadir/icons/locolor/16x16/apps/*
%_datadir/icons/locolor/32x32/apps/*

%_libdir/menu/*

%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%post
%update_menus
if [ ! -e /etc/rc.firewall ]; then
  echo "#!/bin/sh" > /etc/rc.firewall
  echo "# This is just a place holder rc.firewall file so that when the links" >> /etc/rc.firewall
  echo "# /sbin/ifup-local and /sbin/ifdown-local have something valid to  point to." >> /etc/rc.firewall
  echo "# It will be over written once the Guarddog configuration utility is used." >> /etc/rc.firewall
  echo "# --Guarddog, http://www.simonzone.com/software/guarddog/" >> /etc/rc.firewall
  chmod u+x /etc/rc.firewall
fi
if [ ! -x /sbin/ifup-local ]; then
  ln -s /etc/rc.firewall /sbin/ifup-local
else
  echo "*** Warning: Could not make a link from /sbin/ifup-local to /etc/rc.firewall ***"
fi
if [ ! -x /sbin/ifdown-local ]; then
  ln -s /etc/rc.firewall /sbin/ifdown-local
else
  echo "*** Warning: Could not make a link from /sbin/ifdown-local to /etc/rc.firewall ***"
fi

if [ ! -e /etc/ppp/ip-up.local ]; then
  echo "#!/bin/bash" > /etc/ppp/ip-up.local
  echo "#" >> /etc/ppp/ip-up.local
  echo "# This short script just runs any firewall script located at /etc/rc.firewall ." >> /etc/ppp/ip-up.local
  echo "# It will be called whenever a ppp interface comes up. Normally we would hook" >> /etc/ppp/ip-up.local
  echo "# our firewall script in via /sbin/ifup-local, but a bug in the" >> /etc/ppp/ip-up.local
  echo "# /etc/ppp/ip-up script prevents that from working. This script provides a" >> /etc/ppp/ip-up.local
  echo "# workaround." >> /etc/ppp/ip-up.local
  echo "#" >> /etc/ppp/ip-up.local
  echo "# cheers, Guardddog http://www.simonzone.com/software/guarddog/" >> /etc/ppp/ip-up.local
  echo "#" >> /etc/ppp/ip-up.local
  echo "[ -x /etc/rc.firewall ] && /etc/rc.firewall" >> /etc/ppp/ip-up.local
  chmod u+x /etc/ppp/ip-up.local
fi
if [ ! -e /etc/ppp/ip-down.local ]; then
  echo "#!/bin/bash" > /etc/ppp/ip-down.local
  echo "#" >> /etc/ppp/ip-down.local
  echo "# This short script just runs any firewall script located at /etc/rc.firewall ." >> /etc/ppp/ip-down.local
  echo "# It will be called whenever a ppp interface goes down. Normally we would hook" >> /etc/ppp/ip-down.local
  echo "# our firewall script in via /sbin/ifdown-local, but a bug in the" >> /etc/ppp/ip-down.local
  echo "# /etc/ppp/ip-down script prevents that from working. This script provides a" >> /etc/ppp/ip-down.local
  echo "# workaround." >> /etc/ppp/ip-down.local
  echo "#" >> /etc/ppp/ip-down.local
  echo "# cheers, Guardddog http://www.simonzone.com/software/guarddog/" >> /etc/ppp/ip-down.local
  echo "#" >> /etc/ppp/ip-down.local
  echo "[ -x /etc/rc.firewall ] && /etc/rc.firewall" >> /etc/ppp/ip-down.local
  chmod u+x /etc/ppp/ip-down.local
fi

%postun
%clean_menus


%changelog
* Sat Feb 01 2003 Laurent Culioli <laurent@pschit.net> 2.0.0-4mdk
- fix bug #760

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 2.0.0-3mdk
- rebuild

* Mon Aug 19 2002 Laurent Culioli <laurent@pschit.net> 2.0.0-2mdk
- Rebuild with gcc3.2

* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0
- add locales

* Sat Jun 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.16-1mdk
- 1.9.16

* Wed Jun 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.9.15-2mdk
- fixing menu and icons

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.15-1mdk
- 1.9.15

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.14-1mdk
- 1.9.14

* Fri Mar 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.9.12-1mdk
- 1.9.12

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.9.11-1mdk
- 1.9.11

* Fri Jan 25 2002 Laurent Culioli <laurent@mandrakesoft.com> 1.9.10-2mdk
- Rebuild

* Mon Jan 21 2002 Laurent Culioli <laurent@mandrakesoft.com> 1.9.10-1mdk
- 1.9.10

* Thu Dec 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.9-1mdk
- 1.9.9

* Fri Nov 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.8-1mdk
- 1.9.8

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.6-1mdk
- 1.9.6

* Tue Sep  4 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.9.5-1mdk
- updated to version 1.9.5

* Sun Aug 26 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.9.4-1mdk
- updated to version 1.9.4

* Tue Jul 10 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.9.3-1mdk
- updated to version 1.9.3
- merged with  Simon Edward specfile

* Thu Mar 15 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-2mdk
- Rebuild against Qt 2.3.0

* Fri Jan 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- updated to 1.0.0

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5-2mdk
- new url

* Fri Dec 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.5-1mdk
- updated to 0.9.5

* Wed Nov 22 2000 Lenny Cartier <lenny@mandraksoft.com> 0.9.3-1mdk
- new in contribs
- updated to 0.9.3

* Mon Sep 2 2000 Simon Edwards <simon@simonzone.com> 0.9.2-1mdk
- RealPlayer support added.
- Small changes to the GUI to fix a few layout problems. Still
  not perfect, but much better.
- Manual is much more complete now. Now has a tutorial and FAQ section.

* Sun Jul 16 2000 Simon Edwards <simon@simonzone.com> 0.9.1-2mdk
- Fixed a small bug in the menu entry to Guarddog.

* Tue Jul 11 2000 Simon Edwards <simon@simonzone.com> 0.9.1-1mdk
- 0.9.1 release.
- Packaged with RPM for Mandrake 7.1 (should also work with Redhat).
- Some display glitch fixes, still more remain, grrr.
- Should now be able to find the protocol database file ok. Sorry to those people
  who tried to get it to run from source and failed.
- Uses sane defaults for checkboxes in new firewalls.
